httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Montague <m...@catseye.org>
Subject Re: [users@httpd] Apache configuration error ( during make)
Date Mon, 25 Jun 2012 11:44:27 GMT
On June 25, 2012 5:16 , <olive.2.deb@bt.com> wrote:
>
> I am getting an error while make-ing apache
>
> cd /software/bea/apache/source/httpd-2.2.17/srclib/apr
>
> ./configure --prefix=/software/bea/apache/apache-apr
>

With Apache HTTP Server 2.2.x (unlike 2.4.x) you need to explicitly 
enable mod_ssl.  For example,

./configure --enable-modules=most --enable-mods-shared=most --enable-ssl 
--prefix=/software/bea/apache/apache-apr

Please refer to the following two pages to choose the correct options 
for what you actually want:

https://httpd.apache.org/docs/2.2/install.html#configure
https://httpd.apache.org/docs/2.2/programs/configure.html


If the above suggestion does not work, please look at the output of the 
configure script, starting with the line "checking whether to enable 
mod_ssl".  For example, you should see something like this:

checking whether to enable mod_ssl... checking dependencies
checking for SSL/TLS toolkit base... none
checking for OpenSSL version... checking openssl/opensslv.h usability... yes
checking openssl/opensslv.h presence... yes
checking for openssl/opensslv.h... yes
checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... yes
checking for openssl/ssl.h... yes
OK
   adding "-I/opt/local/include" to CPPFLAGS
   adding "-I/opt/local/include" to INCLUDES
   adding "-L/opt/local/lib" to LDFLAGS
   forcing SSL_LIBS to "-lssl -lcrypto -lz  "
   setting LIBS to "-lssl -lcrypto -lz  "
checking openssl/engine.h usability... yes
checking openssl/engine.h presence... yes
checking for openssl/engine.h... yes
checking for SSLeay_version... yes
checking for SSL_CTX_new... yes
checking for ENGINE_init... yes
checking for ENGINE_load_builtin_engines... yes
checking for SSL_set_cert_store... no
   forcing MOD_SSL_LDADD to "$(SSL_LIBS)"
checking whether Distcache is required... no (default)
   adding "-export-symbols-regex" to MOD_SSL_LDADD
   adding "ssl_module" to MOD_SSL_LDADD
checking whether to enable mod_ssl... shared (most)
   adding "-I$(top_srcdir)/modules/ssl" to INCLUDES



> ns.la modules/mappers/libmod_userdir.la 
> modules/mappers/libmod_alias.la modules/mappers/libmod_so.la 
> server/mpm/prefork/libprefork.la os/unix/libos.la -lm 
> /software/bea/apache/source/httpd-2.2.17/srclib/pcre/libpcre.la 
> /software/bea/apache/apache-apr-util/lib/libaprutil-1.la -lexpat 
> /software/bea/apache/apache-apr/lib/libapr-1.la -luuid -lrt -lcrypt 
> -lpthread -ldl
>

You have the last part of the linker line, above.  If the above 
suggestions do not solve the problem, post the entire linker command 
line, the relevant portion of the configure script output, and also 
include what operating system you're using as well as the version of the 
operating system.

I hope this helps.

--
   Mark Montague
   mark@catseye.org


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message